/**
* Internal background headers for Cairo-Dock
*
* Copyright : (C) 2009 by Fabrice Rey
* E-mail    : fabounet@users.berlios.de
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 3
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*   http://www.gnu.org/licenses/licenses.html#GPL
*/

#ifndef __CAIRO_DOCK_INTERNAL_BACKGROUND__
#define  __CAIRO_DOCK_INTERNAL_BACKGROUND__

#include <glib.h>

#include "cairo-dock-struct.h"
#include "cairo-dock-config.h"


typedef struct _CairoConfigBackground CairoConfigBackground;
#ifndef _INTERNAL_MODULE_
extern CairoConfigBackground myBackground;
#endif
G_BEGIN_DECLS

struct _CairoConfigBackground {
	gint iDockRadius;
	gint iDockLineWidth;
	gint iFrameMargin;
	gdouble fLineColor[4];
	gboolean bRoundedBottomCorner;
	gdouble fStripesColorBright[4];
	gchar *cBackgroundImageFile;
	gdouble fBackgroundImageAlpha;
	gboolean bBackgroundImageRepeat;
	gint iNbStripes;
	gdouble fStripesWidth;
	gdouble fStripesColorDark[4];
	gdouble fStripesAngle;
	};

#define g_iDockLineWidth myBackground.iDockLineWidth
#define g_iDockRadius myBackground.iDockRadius

DEFINE_PRE_INIT (Background);

G_END_DECLS
#endif
