/**
* Internal system headers for Cairo-Dock
*
* Copyright : (C) 2009 by Fabrice Rey
* E-mail    : fabounet@users.berlios.de
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 3
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*   http://www.gnu.org/licenses/licenses.html#GPL
*/

#ifndef __CAIRO_DOCK_SYSTEM__
#define  __CAIRO_DOCK_SYSTEM__

#include <glib.h>

#include "cairo-dock-struct.h"
#include "cairo-dock-config.h"

typedef struct _CairoConfigSystem CairoConfigSystem;

#ifndef _INTERNAL_MODULE_
extern CairoConfigSystem mySystem;
#endif
G_BEGIN_DECLS

struct _CairoConfigSystem {
	gboolean bUseFakeTransparency;
	gboolean bLabelForPointedIconOnly;
	gdouble fLabelAlphaThreshold;
	gboolean bTextAlwaysHorizontal;
	gdouble fUnfoldAcceleration;
	gboolean bAnimateOnAutoHide;
	gint iGrowUpInterval, iShrinkDownInterval;
	gdouble fMoveUpSpeed, fMoveDownSpeed;
	gdouble fRefreshInterval;
	gboolean bDynamicReflection;
	gboolean bAnimateSubDock;
	gdouble fStripesSpeedFactor;
	gboolean bDecorationsFollowMouse;
	gchar **cActiveModuleList;
	gint iFileSortType;
	gboolean bShowHiddenFiles;
	gint iGLAnimationDeltaT;
	gint iCairoAnimationDeltaT;
	gboolean bConfigPanelTransparency;
	} ;

DEFINE_PRE_INIT (System);

G_END_DECLS
#endif
